Subject: Re: [6tsch] R: R: DIOs/DAOs and broadcast channels on TSCH
From: Grieco <[email-masked]>
To: Qin Wang <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Xavier Vilajosana <[email-masked]>
Date: Fri, 1 Mar 2013 08:53:27 +0100
List-Id: "Discuss link layer model for Deterministic IPv6 over the TSCH mode of IEEE 802.15.4e, and impacts on RPL and 6LoWPAN such as resource allocation" <6tsch.ietf.org>

Ok Qin, so let's add to the protocol some flexibility in order to accomodate optional fields and functionalities in the future.

Is it ok for you ?

Cheers

Alfredo

--
Luigi Alfredo Grieco, PhD
Assistant Professor
Department of Electrical and Information Engineering
Politecnico di Bari
Via Orabona 4 - 70125 - Bari - Italy
+39 080 5963 911
telematics.poliba.it/grieco
Skype id: l.alfredo.grieco
Mobile: +39 3346715672

On 1 Mar 2013, at 05:53, "Qin Wang" <[email-masked]> wrote:

> Alfredo,
> 
> It's a good idea.
> 
> But, I think we should design the basic and mandatory functionality first,
> make sure it works. And then, we can design advanced feature/functions,
> making 6tus more flexible and powerful.
> 
> How do you think?
> 
> Qin
> 
> 
>> Dear Qin,
>> 
>> From my point of view what you are proposing is ok.
>> 
>> Just to provide another opportunity of exchange of ideas, It could be also
>> possible that application protocols ask 6tus to autonomously set up new
>> broadcast channels when the load on the currently used channel excheed
>> some threshold.
>> 
>> In other terms, why high level protocols should care about adding and
>> striping broadcast channels ? Let 6tus do it for them.
>> 
>> What do you think about ?
>> 
>> Thanks a lot for your previous answer
>> 
>> Cheers
>> 
>> Alfredo
>> 
>> --
>> Luigi Alfredo Grieco, PhD
>> Assistant Professor
>> Department of Electrical and Information Engineering
>> Politecnico di Bari
>> Via Orabona 4 - 70125 - Bari - Italy
>> +39 080 5963 911
>> telematics.poliba.it/grieco
>> Skype id: l.alfredo.grieco
>> Mobile: +39 3346715672
>> 
>> 
>> On 28 Feb 2013, at 21:51, "Qin Wang" <[email-masked]> wrote:
>> 
>>> Hi Alfredo,
>>> 
>>> I agree with you that it is almost impossible to answer how many links
>>> should be in the set in the context of dynamic network. I also agree
>>> with
>>> the idea of some primary broadcast channel that could be "enlarged" on
>>> dynamical basis. We can make it happen in the following way.
>>> 
>>> TSCH Pan coordinator (i.e. the first node in a TSCH network) has a set
>>> of
>>> links to broadcast, which is configured by someone else, and propagated
>>> in
>>> FrameAndLinkIE of EB periodically. Thus, from the FrameAndLinkIE,
>>> joining
>>> nodes know the set of Links and use them as primary broadcast channel.
>>> When upper layer needs more broadcast bandwidth according to traffic
>>> load,
>>> upper layer can let 6tus add links marked as broadcast into schedule,
>>> and
>>> also add the links into FrameAndLinkIE to notify neighbors. By
>>> propagation
>>> of the information in FrameAndLinkIE, a "enlarged" broadcast channel is
>>> established.
>>> 
>>> Does it make sense?
>>> 
>>> Qin
>>> 
>>> 
>>>> Hi Qin,
>>>> 
>>>> The "primary broadcast channel" could be logical otherwise it could
>>>> suffer
>>>> selective EM noise.
>>>> 
>>>> Using a set of links for me it is ok but it requires we answer to the
>>>> question: how many links in the set ? This answer cannot be provided
>>>> once
>>>> for all because the amount of signaling is related to the scale of the
>>>> network, right ?
>>>> 
>>>> This is the reason why I was proposing a narrow primary broadcast
>>>> channel
>>>> that could be "enlarged" (if required) on a dynamical basis.
>>>> 
>>>> Thanks a lot for your valuable considerations
>>>> 
>>>> Cheers
>>>> 
>>>> Alfredo
>>>> 
>>>> 
>>>> 
>>>> -----Messaggio originale-----
>>>> Da: Qin Wang [mailto:[email-masked]]
>>>> Inviato: Thursday, February 28, 2013 7:40 PM
>>>> A: Alfredo Grieco
>>>> Cc: 'Xavier Vilajosana'; [email-masked]
>>>> Oggetto: Re: [6tsch] R: DIOs/DAOs and broadcast channels on TSCH
>>>> 
>>>> Hi Alfredo,
>>>> 
>>>> When you say "primary broadcast channel", you mean a physical or
>>>> logical
>>>> channel, for example one of the 16 channels in 2.4GHz band, or a set of
>>>> links among neighbors?
>>>> 
>>>> I think using a set of links as broadcast channel, instead of a fixed
>>>> physical or logic channel, is more flexible and bandwidth efficient.
>>>> How
>>>> do you think?
>>>> 
>>>> Qin
>>>> 
>>>> 
>>>>> Hi Xavi and all,
>>>>> 
>>>>> Sorry for the delayed reply.
>>>>> 
>>>>> I agree that I broadcast channel is required. I was wondering that if
>>>>> we set up a broadcast channel, its bandwidth should scale with the
>>>>> size of the network. The more node the more the signaling to be sent
>>>>> in broadcast.
>>>>> 
>>>>> Should we imagine a primary broadcast channel that convey also the
>>>>> information to signal the presence of further additional broadcast
>>>>> channels ?
>>>>> 
>>>>> Cheers
>>>>> 
>>>>> Alfredo
>>>>> 
>>>>> -----Messaggio originale-----
>>>>> Da: [email-masked] [mailto:[email-masked]] Per conto
>>>>> di Xavier Vilajosana
>>>>> Inviato: Tuesday, February 26, 2013 5:16 AM
>>>>> A: [email-masked]
>>>>> Oggetto: [6tsch] DIOs/DAOs and broadcast channels on TSCH
>>>>> 
>>>>> Hi,
>>>>> 
>>>>> I have a question that i want to discuss, the question is whether we
>>>>> need a broadcast channel in TSCH or not and what kind of support 6tus
>>>>> should provide. (the answer can be depends... but lets see some cases)
>>>>> 
>>>>> a) ADV need broadcast channels in case they are used to synchronize
>>>>> the network. IEEE 802.15.4e provides the timekeeping flag to set that
>>>>> channels as used for synchronization and shared flag can make them
>>>>> broadcast.
>>>>> b) Those networks that do not need ADV for synchronization then can
>>>>> use any TX link for ADV, this means that if it is not shared only the
>>>>> node listening on that link will get the ADV. However as this
>>>>> periodically occurs the ADV might eventually be listened in all
>>>>> channels.
>>>>> c)Some DAOs and all DIOs require a broadcast channel. Should the
>>>>> schedule provide that? in case of a), can the same link be used? How
>>>>> this link should be installed in the nodes?
>>>>> d)Is the scheduler of the network who should setup a broadcast channel
>>>>> independent of the broadcast channel set for ADV? can it be the same?
>>>>> Or in contrast, 6tus can configure the EB so it indicates a broadcast
>>>>> channel..
>>>>> e)..
>>>>> 
>>>>> I would like to know what is your opinion on that.
>>>>> 
>>>>> cheers!
>>>>> Xavi
>>>>> _______________________________________________
>>>>> 6tsch mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/6tsch
>>>>> 
>>>>> _______________________________________________
>>>>> 6tsch mailing list
>>>>> [email-masked]
>>>>> https://www.ietf.org/mailman/listinfo/6tsch
>>> 
>>> 
>> 
> 
>